CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  What's the CVSS score of your company?
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Security Vulnerabilities Published In December 2019

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
201 CVE-2019-19736 732 XSS 2019-12-30 2020-01-07
4.3
None Remote Medium Not required None Partial None
MFScripts YetiShare 3.5.2 through 4.5.3 does not set the HttpOnly flag on session cookies, allowing the cookie to be read by script, which can potentially be used by attackers to obtain the cookie via cross-site scripting.
202 CVE-2019-19735 916 2019-12-30 2020-01-08
6.4
None Remote Low Not required Partial Partial None
class.userpeer.php in MFScripts YetiShare 3.5.2 through 4.5.3 uses an insecure method of creating password reset hashes (based only on microtime), which allows an attacker to guess the hash and set the password within a few hours by bruteforcing.
203 CVE-2019-19734 89 Sql 2019-12-30 2020-01-07
6.5
None Remote Low ??? Partial Partial Partial
_account_move_file_in_folder.ajax.php in MFScripts YetiShare 3.5.2 directly inserts values from the fileIds parameter into a SQL string. This allows an attacker to inject their own SQL and manipulate the query, typically extracting data from the database, aka SQL Injection.
204 CVE-2019-19733 79 Exec Code XSS 2019-12-30 2020-01-07
4.3
None Remote Medium Not required None Partial None
_get_all_file_server_paths.ajax.php (aka get_all_file_server_paths.ajax.php) in MFScripts YetiShare 3.5.2 through 4.5.3 does not sanitize or encode the output from the fileIds parameter on the page, which would allow an attacker to input HTML or execute scripts on the site, aka XSS.
205 CVE-2019-19732 89 Sql 2019-12-30 2020-01-08
6.5
None Remote Low ??? Partial Partial Partial
translation_manage_text.ajax.php and various *_manage.ajax.php in MFScripts YetiShare 3.5.2 through 4.5.3 directly insert values from the aSortDir_0 and/or sSortDir_0 parameter into a SQL string. This allows an attacker to inject their own SQL and manipulate the query, typically extracting data from the database, aka SQL Injection.
206 CVE-2019-19731 22 Exec Code Dir. Trav. 2019-12-16 2019-12-23
5.0
None Remote Low Not required None Partial None
Roxy Fileman 1.4.5 for .NET is vulnerable to path traversal. A remote attacker can write uploaded files to arbitrary locations via the RENAMEFILE action. This can be leveraged for code execution by uploading a specially crafted Windows shortcut file and writing the file to the Startup folder (because an incomplete blacklist of file extensions allows Windows shortcut files to be uploaded).
207 CVE-2019-19729 20 Bypass 2019-12-11 2021-07-21
5.0
None Remote Low Not required None Partial None
An issue was discovered in the BSON ObjectID (aka bson-objectid) package 1.3.0 for Node.js. ObjectID() allows an attacker to generate a malformed objectid by inserting an additional property to the user-input, because bson-objectid will return early if it detects _bsontype==ObjectID in the user-input object. As a result, objects in arbitrary forms can bypass formatting if they have a valid bsontype.
208 CVE-2019-19726 269 Exec Code 2019-12-12 2019-12-27
7.2
None Local Low Not required Complete Complete Complete
OpenBSD through 6.6 allows local users to escalate to root because a check for LD_LIBRARY_PATH in setuid programs can be defeated by setting a very small RLIMIT_DATA resource limit. When executing chpass or passwd (which are setuid root), _dl_setup_env in ld.so tries to strip LD_LIBRARY_PATH from the environment, but fails when it cannot allocate memory. Thus, the attacker is able to execute their own library code as root.
209 CVE-2019-19725 415 2019-12-11 2020-07-27
7.5
None Remote Low Not required Partial Partial Partial
sysstat through 12.2.0 has a double free in check_file_actlst in sa_common.c.
210 CVE-2019-19724 276 +Info 2019-12-18 2020-07-23
5.0
None Remote Low Not required Partial None None
Insecure permissions (777) are set on $HOME/.singularity when it is newly created by Singularity (version from 3.3.0 to 3.5.1), which could lead to an information leak, and malicious redirection of operations performed against Sylabs cloud services.
211 CVE-2019-19722 476 2019-12-13 2020-01-08
5.0
None Remote Low Not required None None Partial
In Dovecot before 2.3.9.2, an attacker can crash a push-notification driver with a crafted email when push notifications are used, because of a NULL Pointer Dereference. The email must use a group address as either the sender or the recipient.
212 CVE-2019-19720 787 Overflow 2019-12-11 2020-08-24
6.8
None Remote Medium Not required Partial Partial Partial
Yabasic 2.86.1 has a heap-based buffer overflow in the yylex() function in flex.c via a crafted BASIC source file.
213 CVE-2019-19719 79 XSS 2019-12-11 2019-12-12
4.3
None Remote Medium Not required None Partial None
Tableau Server 10.3 through 2019.4 on Windows and Linux allows XSS via the embeddedAuthRedirect page.
214 CVE-2019-19714 116 2019-12-17 2019-12-18
5.0
None Remote Low Not required None Partial None
Contao 4.8.4 and 4.8.5 has Improper Encoding or Escaping of Output. It is possible to inject insert tags into the login module which will be replaced when the page is rendered.
215 CVE-2019-19712 276 2019-12-17 2019-12-31
5.0
None Remote Low Not required Partial None None
Contao 4.0 through 4.8.5 has Insecure Permissions. Back end users can manipulate the details view URL to show pages and articles that have not been enabled for them.
216 CVE-2019-19709 601 Bypass 2019-12-11 2019-12-28
5.8
None Remote Medium Not required Partial Partial None
MediaWiki through 1.33.1 allows attackers to bypass the Title_blacklist protection mechanism by starting with an arbitrary title, establishing a non-resolvable redirect for the associated page, and using redirect=1 in the action API when editing that page.
217 CVE-2019-19708 79 XSS 2019-12-11 2019-12-11
4.3
None Remote Medium Not required None Partial None
The VisualEditor extension through 1.34 for MediaWiki allows XSS via pasted content containing an element with a data-ve-clipboard-key attribute.
218 CVE-2019-19707 DoS 2019-12-11 2019-12-17
7.8
None Remote Low Not required None None Complete
On Moxa EDS-G508E, EDS-G512E, and EDS-G516E devices (with firmware through 6.0), denial of service can occur via PROFINET DCE-RPC endpoint discovery packets.
219 CVE-2019-19703 601 2019-12-10 2019-12-13
5.8
None Remote Medium Not required Partial Partial None
In Ktor through 1.2.6, the client resends data from the HTTP Authorization header to a redirect location.
220 CVE-2019-19702 91 DoS 2019-12-10 2021-07-21
5.0
None Remote Low Not required None None Partial
The modoboa-dmarc plugin 1.1.0 for Modoboa is vulnerable to an XML External Entity Injection (XXE) attack when processing XML data. A remote attacker could exploit this to perform a denial of service against the DMARC reporting functionality, such as by referencing the /dev/random file within XML documents that are emailed to the address in the rua field of the DMARC records of a domain.
221 CVE-2019-19698 476 2019-12-10 2019-12-11
4.3
None Remote Medium Not required None None Partial
marc-q libwav through 2017-04-20 has a NULL pointer dereference in wav_content_read() at libwav.c.
222 CVE-2019-19695 59 2019-12-24 2020-01-08
5.0
None Remote Low Not required None Partial None
A privilege escalation vulnerability in Trend Micro Antivirus for Mac 2019 (v9.0.1379 and below) could potentially allow an attacker to create a symbolic link to a target file and modify it.
223 CVE-2019-19693 200 Exec Code +Info 2019-12-20 2021-07-21
3.6
None Local Low Not required Partial None Partial
The Trend Micro Security 2020 consumer family of products contains a vulnerability that could allow a local attacker to disclose sensitive information or to create a denial-of-service condition on affected installations. An attacker must first obtain the ability to execute low-privileged code on the target system in order to exploit this vulnerability.
224 CVE-2019-19692 79 XSS 2019-12-20 2020-01-02
4.3
None Remote Medium Not required None Partial None
Trend Micro Apex One (2019) is affected by a cross-site scripting (XSS) vulnerability on the product console. Note that the Japanese version of the product is NOT affected.
225 CVE-2019-19691 2019-12-20 2020-08-24
4.0
None Remote Low ??? Partial None None
A vulnerability in Trend Micro Apex One and OfficeScan XG could allow an attacker to expose a masked credential key by manipulating page elements using development tools. Note that the attacker must already have admin/root privileges on the product console to exploit this vulnerability.
226 CVE-2019-19690 521 Bypass 2019-12-18 2019-12-28
7.5
None Remote Low Not required Partial Partial Partial
Trend Micro Mobile Security for Android (Consumer) versions 10.3.1 and below on Android 8.0+ has an issue in which an attacker could bypass the product's App Password Protection feature.
227 CVE-2019-19689 426 2019-12-18 2021-07-21
4.4
None Local Medium Not required Partial Partial Partial
Trend Micro HouseCall for Home Networks (versions below 5.3.0.1063) could be exploited via a DLL Hijack related to a vulnerability on the packer that the program uses.
228 CVE-2019-19688 2019-12-18 2020-10-07
4.4
None Local Medium Not required Partial Partial Partial
A privilege escalation vulnerability in Trend Micro HouseCall for Home Networks (versions below 5.3.0.1063) could be exploited allowing an attacker to place a malicious DLL file into the application directory and elevate privileges.
229 CVE-2019-19687 522 +Info 2019-12-09 2019-12-20
3.5
None Remote Medium ??? Partial None None
OpenStack Keystone 15.0.0 and 16.0.0 is affected by Data Leakage in the list credentials API. Any user with a role on a project is able to list any credentials with the /v3/credentials API when enforce_scope is false. Users with a role on a project are able to view any other users' credentials, which could (for example) leak sign-on information for Time-based One Time Passwords (TOTP). Deployments with enforce_scope set to false are affected. (There will be a slight performance impact for the list credentials API once this issue is fixed.)
230 CVE-2019-19685 352 CSRF 2019-12-09 2019-12-17
6.8
None Remote Medium Not required Partial Partial Partial
RoxyFileman, as shipped with nopCommerce v4.2.0, is vulnerable to CSRF because GET requests can be used for renames and deletions.
231 CVE-2019-19684 434 2019-12-09 2019-12-11
6.5
None Remote Low ??? Partial Partial Partial
nopCommerce v4.2.0 allows privilege escalation via file upload in Presentation/Nop.Web/Admin/Areas/Controllers/PluginController.cs via Admin/FacebookAuthentication/Configure because it is possible to upload a crafted Facebook Auth plugin.
232 CVE-2019-19683 22 Dir. Trav. 2019-12-09 2019-12-17
9.0
None Remote Low ??? Complete Complete Complete
RoxyFileman, as shipped with nopCommerce v4.2.0, is vulnerable to ../ path traversal via d or f to Admin/RoxyFileman/ProcessRequest because of Libraries/Nop.Services/Media/RoxyFileman/FileRoxyFilemanService.cs.
233 CVE-2019-19682 79 XSS 2019-12-09 2019-12-10
3.5
None Remote Medium ??? None Partial None
nopCommerce through 4.20 allows XSS in the SaveStoreMappings of the components \Presentation\Nop.Web\Areas\Admin\Controllers\NewsController.cs and \Presentation\Nop.Web\Areas\Admin\Controllers\BlogController.cs via Body or Full to Admin/News/NewsItemEdit/[id] Admin/Blog/BlogPostEdit/[id]. NOTE: the vendor reportedly considers this a "feature" because the affected components are an HTML content editor.
234 CVE-2019-19681 863 Exec Code 2019-12-26 2020-01-21
9.0
None Remote Low ??? Complete Complete Complete
** DISPUTED ** Pandora FMS 7.x suffers from remote code execution vulnerability. With an authenticated user who can modify the alert system, it is possible to define and execute commands as root/Administrator. NOTE: The product vendor states that the vulnerability as it is described is not in fact an actual vulnerability. They state that to be able to create alert commands, you need to have admin rights. They also state that the extended ACL system can disable access to specific sections of the configuration, such as defining new alert commands.
235 CVE-2019-19679 79 XSS 2019-12-09 2019-12-11
3.5
None Remote Medium ??? None Partial None
In "Xray Test Management for Jira" prior to version 3.5.5, remote authenticated attackers can cause XSS in the Pre-Condition Summary entry point via the summary field of a Create Pre-Condition action for a new Test Issue.
236 CVE-2019-19678 79 XSS 2019-12-09 2019-12-11
3.5
None Remote Medium ??? None Partial None
In "Xray Test Management for Jira" prior to version 3.5.5, remote authenticated attackers can cause XSS in the generic field entry point via the Generic Test Definition field of a new Generic Test issue.
237 CVE-2019-19675 276 Bypass 2019-12-17 2019-12-27
4.4
None Local Medium Not required Partial Partial Partial
In Ivanti Workspace Control before 10.3.180.0. a locally authenticated user with low privileges can bypass Managed Application Security by leveraging an unspecified attack vector in Workspace Preferences, when it is enabled. As a result, the attacker can start applications that should be blocked.
238 CVE-2019-19650 89 Sql 2019-12-11 2019-12-19
6.5
None Remote Low ??? Partial Partial Partial
Zoho ManageEngine Applications Manager before 13640 allows a remote authenticated SQL injection via the Agent servlet agentid parameter to the Agent.java process function.
239 CVE-2019-19649 89 Sql 2019-12-11 2019-12-19
7.5
None Remote Low Not required Partial Partial Partial
Zoho ManageEngine Applications Manager before 13620 allows a remote unauthenticated SQL injection via the SyncEventServlet eventid parameter to the SyncEventServlet.java doGet function.
240 CVE-2019-19648 125 DoS Exec Code 2019-12-09 2021-05-05
6.8
None Remote Medium Not required Partial Partial Partial
In the macho_parse_file functionality in macho/macho.c of YARA 3.11.0, command_size may be inconsistent with the real size. A specially crafted MachO file can cause an out-of-bounds memory access, resulting in Denial of Service (application crash) or potential code execution.
241 CVE-2019-19647 476 DoS 2019-12-09 2022-01-01
6.8
None Remote Medium Not required Partial Partial Partial
radare2 through 4.0.0 lacks validation of the content variable in the function r_asm_pseudo_incbin at libr/asm/asm.c, ultimately leading to an arbitrary write. This allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact via crafted input.
242 CVE-2019-19646 754 2019-12-09 2021-07-22
7.5
None Remote Low Not required Partial Partial Partial
pragma.c in SQLite through 3.30.1 mishandles NOT NULL in an integrity_check PRAGMA command in certain cases of generated columns.
243 CVE-2019-19645 674 2019-12-09 2021-07-22
2.1
None Local Low Not required None None Partial
alter.c in SQLite through 3.30.1 allows attackers to trigger infinite recursion via certain types of self-referential views in conjunction with ALTER TABLE statements.
244 CVE-2019-19642 78 2019-12-08 2019-12-18
9.0
None Remote Low ??? Complete Complete Complete
On SuperMicro X8STi-F motherboards with IPMI firmware 2.06 and BIOS 02.68, the Virtual Media feature allows OS Command Injection by authenticated attackers who can send HTTP requests to the IPMI IP address. This requires a POST to /rpc/setvmdrive.asp with shell metacharacters in ShareHost or ShareName. The attacker can achieve a persistent backdoor.
245 CVE-2019-19638 787 Overflow 2019-12-08 2019-12-09
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in libsixel 1.8.2. There is a heap-based buffer overflow in the function load_pnm at frompnm.c, due to an integer overflow.
246 CVE-2019-19637 190 Overflow 2019-12-08 2019-12-09
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in libsixel 1.8.2. There is an integer overflow in the function sixel_decode_raw_impl at fromsixel.c.
247 CVE-2019-19636 190 Overflow 2019-12-08 2019-12-09
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in libsixel 1.8.2. There is an integer overflow in the function sixel_encode_body at tosixel.c.
248 CVE-2019-19635 787 Overflow 2019-12-08 2019-12-09
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in libsixel 1.8.2. There is a heap-based buffer overflow in the function sixel_decode_raw_impl at fromsixel.c.
249 CVE-2019-19634 434 2019-12-17 2019-12-21
7.5
None Remote Low Not required Partial Partial Partial
class.upload.php in verot.net class.upload through 1.0.3 and 2.x through 2.0.4, as used in the K2 extension for Joomla! and other products, omits .pht from the set of dangerous file extensions, a similar issue to CVE-2019-19576.
250 CVE-2019-19630 787 Overflow 2019-12-08 2021-07-01
6.8
None Remote Medium Not required Partial Partial Partial
HTMLDOC 1.9.7 allows a stack-based buffer overflow in the hd_strlcpy() function in string.c (when called from render_contents in ps-pdf.cxx) via a crafted HTML document.
Total number of vulnerabilities : 1577   Page : 1 2 3 4 5 (This Page)6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.